Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 299194 - gnome-extra/gnome-power-manager brightness flickering, fast changing value up/down
Summary: gnome-extra/gnome-power-manager brightness flickering, fast changing value up...
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-01 11:34 UTC by Kunalagon Umuhanik
Modified: 2010-12-30 13:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gnome-power-manager --verbose , output (gpm-2.28.2,115.96 KB, text/plain)
2010-01-08 16:04 UTC, Kunalagon Umuhanik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kunalagon Umuhanik 2010-01-01 11:34:29 UTC
Hello, 
I update world couple a days ago. and sice then, I almost cant use gnome-power-manager, any version available in portage(~*2.20.0-r1 2.22.1!t ~2.24.4-r2!t ~2.26.4 ~2.26.4-r1 ~2.28.1!t ~2.28.2!t).

When Gnome starts, brightness start to changing up down, up down, fast, like I am using keybord to change its value, but fast, like crazy.


-----------------

kunalagon@localhost ~ $ for i in /proc/acpi/battery/*/*; do echo $i; cat $i; done
/proc/acpi/battery/BAT1/alarm
alarm:                   unsupported
/proc/acpi/battery/BAT1/info
present:                 yes
design capacity:         2200 mAh
last full capacity:      1947 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 0 mAh
design capacity low:     0 mAh
capacity granularity 1:  1 mAh
capacity granularity 2:  1 mAh
model number:            MS-N011

serial number:           

battery type:            LION

OEM info:                MSI Corp.

/proc/acpi/battery/BAT1/state
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            0 mA
remaining capacity:      2008 mAh
present voltage:         12489 mV
kunalagon@localhost ~ $ 

-------------

This is when I start gnome-power-manager:

kunalagon@localhost ~ $ gnome-power-manager --no-daemon --verbose

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property

** (gnome-power-manager:5067): WARNING **: ERROR: org.freedesktop.hal.power-management.cpufreq no <-- (action, result)

** (gnome-power-manager:5067): WARNING **: ERROR: org.freedesktop.hal.power-management.cpufreq no <-- (action, result)

** (gnome-power-manager:5067): WARNING **: ERROR: org.freedesktop.hal.power-management.cpufreq no <-- (action, result)

** (gnome-power-manager:5067): WARNING **: ERROR: org.freedesktop.hal.power-management.cpufreq no <-- (action, result)
[WARN  5067] failed to load configuration file: /etc/PolicyKit/PolicyKit.conf:32: parse error: mismatched tag

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property
[WARN  5067] failed to load configuration file: /etc/PolicyKit/PolicyKit.conf:32: parse error: mismatched tag

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property

** (gnome-power-manager:5067): WARNING **: No 'daemon-version' property

---------------------

kunalagon@localhost ~ $ gconftool-2 -R /apps/gnome-power-manager
 /apps/gnome-power-manager/buttons:
  lid_battery = suspend
  hibernate = hibernate
  suspend = nothing
  lid_ac = blank
  power = interactive
 /apps/gnome-power-manager/keyboard:
  brightness_battery = 50
  brightness_ac = 100
 /apps/gnome-power-manager/actions:
  low_ups = nothing
  sleep_type_ac = suspend
  event_when_closed_battery = true
  critical_ups = shutdown
  critical_battery = shutdown
  sleep_type_battery = hibernate
 /apps/gnome-power-manager/ambient:
  dim_policy = none
  correction_factor = 50
  poll_timeout = 60
  correction_scale = 200
  v4l_device = default
  enable = true
 /apps/gnome-power-manager/thresholds:
  time_low = 1200
  time_critical = 300
  percentage_low = 10
  time_action = 120
  percentage_critical = 3
  percentage_action = 2
 /apps/gnome-power-manager/ui:
  cpufreq_show = true
  show_context_menu = true
  show_actions_in_menu = true
  icon_policy = present
  enable_sound = true
 /apps/gnome-power-manager/lowpower:
  on_battery = true
  on_ups = true
  on_ac = false
 /apps/gnome-power-manager/lock:
  hibernate = true
  suspend = true
  gnome_keyring_hibernate = true
  blank_screen = true
  use_screensaver_settings = true
  gnome_keyring_suspend = false
 /apps/gnome-power-manager/timeout:
  sleep_computer_battery = 0
  sleep_computer_ac = 0
  sleep_display_ac = 1800
  sleep_display_battery = 300
 /apps/gnome-power-manager/statistics:
  graph_type = profile-charge-time
  show_events = true
  show_axis_labels = true
  smooth_data = true
  data_max_time = 21600
 /apps/gnome-power-manager/backlight:
  brightness_dim_battery = 50
  idle_dim_time = 30
  battery_reduce = true
  brightness_ac = 0
  idle_brightness = 30
  enable = false
  idle_dim_ac = false
  brightness_battery = 50
  dpms_method_ac = default
  idle_dim_battery = true
  dpms_method_battery = default
 /apps/gnome-power-manager/general:
  invalid_timeout = 500
  use_profile_time = true
  ignore_inhibit_requests = false
  check_type_cpu = false
  debug = false
  can_suspend = true
  can_hibernate = true
  use_time_for_policy = true
  network_sleep = false
  installed_schema = 3
  policy_suppression_timeout = 5
 /apps/gnome-power-manager/notify:
  discharging = true
  inhibit_lid = false
  sleep_failed = true
  low_power = true
  perhaps_recall = true
  low_capacity = true
  estimated_data = true
  fully_charged = true
 /apps/gnome-power-manager/cpufreq:
  policy_battery = ondemand
  policy_ac = ondemand
  consider_nice = true
  performance_battery = 25
  performance_ac = 85
kunalagon@localhost ~ $ 

--------------------------------

And this is output from dbus-monitor:
(I started gnome-power-manager, and after that, dbus-monitor. I prested keyboard keys for donw the brightnes, and that was ok, after that I pressed for up, and crazyness, started)


kunalagon@localhost ~ $ dbus-monitor       
signal sender=org.freedesktop.DBus -> dest=:1.433 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameAcquired
   string ":1.433"
method call sender=:1.433 -> dest=org.freedesktop.DBus path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='method_call'"
method call sender=:1.433 -> dest=org.freedesktop.DBus path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='method_return'"
method call sender=:1.433 -> dest=org.freedesktop.DBus path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='error'"
signal sender=org.freedesktop.DBus -> dest=(null destination) path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameOwnerChanged
   string ":1.434"
   string ""
   string ":1.434"
method call sender=:1.434 -> dest=org.freedesktop.DBus path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=Hello
method call sender=:1.434 -> dest=org.gtk.vfs.Daemon path=/org/gtk/vfs/mounttracker; interface=org.gtk.vfs.MountTracker; member=listMountableInfo
method return sender=:1.7 -> dest=:1.434 reply_serial=2
   array [
      struct {
         string "http"
         string "http"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "smb-server"
         string "smb"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "smb-network"
         string "smb"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "davs"
         string "davs"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "dav"
         string "dav"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "localtest"
         string "localtest"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "sftp"
         string "sftp"
         array [
            string "ssh"
         ]
         int32 22
         boolean true
      }
      struct {
         string "smb-share"
         string "smb"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "ftp"
         string "ftp"
         array [
         ]
         int32 21
         boolean true
      }
      struct {
         string "burn"
         string "burn"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "trash"
         string "trash"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "obex"
         string "obex"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "computer"
         string "computer"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "network"
         string "network"
         array [
         ]
         int32 0
         boolean false
      }
      struct {
         string "gphoto2"
         string "gphoto2"
         array [
         ]
         int32 0
         boolean false
      }
   ]
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 12
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 25
signal sender=:1.424 -> dest=(null destination) path=/org/freedesktop/PowerManagement/Backlight; interface=org.freedesktop.PowerManagement.Backlight; member=BrightnessChanged
   uint32 37
----------------

dbus - 1.2.3-r1
hal  - 0.5.13-r2
devicekit-power - 013
gnome-power-manager (current installed): 2.26.4-r1

---------

I dont know what else to do to debug this more detailed.
Comment 1 Gilles Dartiguelongue gentoo-dev 2010-01-03 23:31:27 UTC
please add emerge --info and tell us what kind of video card do you have.
Comment 2 Kunalagon Umuhanik 2010-01-04 08:15:22 UTC
This is my emerge --info

localhost ~ # emerge --info
Portage 2.1.6.13 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.31-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.31-gentoo-r6-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-1.12.13
Timestamp of tree: Fri, 01 Jan 2010 10:00:01 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.9-r2
dev-lang/python:     2.6.4
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -fomit-frame-pointer -pipe -O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=prescott -fomit-frame-pointer -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib accessibility acl acpi alsa amr amrnb amrwb anthy archive asf audiofile autoipd avi bash-completion bitmap-fonts bluetooth bzip2 cairo cb cdparanoia cim cjk cli consolekit cracklib crypt ctype cups cxx dba dbus device-mapper dhclient dhcpcd disk-partition dri dv dvd dvdr dvdread eds emboss encode esd ethereal exif expat extras fam fastbuild fat ffmpeg flac foomaticdb force-cgi-redirect fortran frei0r ftp fuse gd gdbm gdu gif gimp gimpprint git glut gmp gnome gnome-keyring gnutls gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal hfs iconv idn ieee1394 imagemagick imlib immqt-bc inquisitio ipod iptc ipv6 irda jack java jfs jpeg jpeg2k kdrive kipi ladspa lame laptop lcms ldap libass libcaca libg++ libnotify libsamplerate libwww lirc lm_sensors m17n-lib mad mdnsresponder-compat melt memlimit mikmod mmx mng modules motif mozilla mp3 mpeg mpeg2 mplayer mudflap musepack nas nautilus ncurses netboot networkmanager nls nptl nptlonly nsplugin ntfs old-daemons opengl openmp oss pam pango pcre pdf pdflib perl phonon png portage portaudio posix ppds pppd pulseaudio python qt qt-config qt-static qt3support qt4 quicktime raw rdesktop readline reflection reiser4 reiserfs remote resolvconf samba sasl scanner sdl server session sid simplexml sip slang smp sndfile soap sockets spell spl sql sse ssl startup-notification subtitles subversion svg sysfs tagwriting tcltk tcpd theora threads thumbnail tiff timidity tokenizer truetype truetype-fonts twolame type1-fonts ucs2 udev unicode usb v4l v4l2 vcd vhosts vnc vorbis wav webkit wifi win32codecs wireshark wma wmf x264 x86 xcb xfs xine xml xml2 xorg xsl xv xvid zlib" ALSA_CARDS="hda-intel loopback virmidi" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="dav dav_fs authn_file auth_digest authz_groupfile" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel vesa vga fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

-----

I am using intel graphic card,945GME

And when I kill gnome-power-manager, I can change brightnes using keyboard key combination, apsolutly normal.
Comment 3 Gilles Dartiguelongue gentoo-dev 2010-01-04 09:19:09 UTC
you might be having acpi issues. Could you check if the kernel isn't saying anything about acpi in dmesg ?
Comment 4 Kunalagon Umuhanik 2010-01-05 07:46:46 UTC
dmesg saying only this:

localhost ~ # dmesg |grep acpi
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.530467] acpi device:1c: registered as cooling_device0


I am saying, everything works without gnome-power-manager, brightness, sleep, hibernate, cpu freq. scaling. But when GPM starts everything goes crazy...
Comment 5 Kunalagon Umuhanik 2010-01-05 08:10:17 UTC
well, and this:

kunalagon@localhost ~ $ dmesg |grep ACPI
[    0.000000]  BIOS-e820: 000000003f5b2000 - 000000003f5d5000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f5e6000 - 000000003f5e9000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f605000 - 000000003f606000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f608000 - 000000003f611000 (ACPI data)
[    0.000000]  BIOS-e820: 000000003f611000 - 000000003f617000 (ACPI NVS)
[    0.000000]  modified: 000000003f5b2000 - 000000003f5d5000 (ACPI NVS)
[    0.000000]  modified: 000000003f5e6000 - 000000003f5e9000 (ACPI NVS)
[    0.000000]  modified: 000000003f605000 - 000000003f606000 (ACPI NVS)
[    0.000000]  modified: 000000003f608000 - 000000003f611000 (ACPI data)
[    0.000000]  modified: 000000003f611000 - 000000003f617000 (ACPI NVS)
[    0.000000] ACPI: RSDP 000f03c0 00024 (v02 MSI_NB)
[    0.000000] ACPI: XSDT 3f60ff10 0005C (v01 MSI_NB MEGABOOK 06222004 MSFT 00010013)
[    0.000000] ACPI: FACP 3f5e6c10 000F4 (v04 MSI_NB MEGABOOK 06222004 MSFT 00010013)
[    0.000000] ACPI Warning: 32/64 FACS address mismatch in FADT - two FACS tables! 20090521 tbfadt-370
[    0.000000] ACPI Warning: 32/64X FACS address mismatch in FADT - 3F611E40/000000003F611D40, using 32 20090521 tbfadt-487
[    0.000000] ACPI: DSDT 3f608010 05337 (v01 MSI_NB MEGABOOK 00000000 INTL 20051117)
[    0.000000] ACPI: FACS 3f611e40 00040
[    0.000000] ACPI: APIC 3f610e90 0005C (v02 MSI_NB MEGABOOK 06222004 MSFT 00010013)
[    0.000000] ACPI: MCFG 3f615c90 0003C (v01 MSI_NB MEGABOOK 06222004 MSFT 00000097)
[    0.000000] ACPI: SLIC 3f612c10 00176 (v01 MSI_NB MEGABOOK 06222004 MSFT 00000097)
[    0.000000] ACPI: SSDT 3f605510 004CE (v02  PmRef    CpuPm 00003000 INTL 20051117)
[    0.000000] ACPI: SSDT 3f5e8a10 00232 (v02  PmRef  Cpu0Tst 00003000 INTL 20051117)
[    0.000000] ACPI: SSDT 3f611a10 000A0 (v02  PmRef  Cpu1Tst 00003000 INTL 20051117)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.008843] ACPI: Core revision 20090521
[    0.108046] ACPI: bus type pci registered
[    0.215324] ACPI: EC: Look up EC in DSDT
[    0.221047] ACPI: BIOS _OSI(Linux) query ignored
[    0.225199] ACPI: Interpreter enabled
[    0.225312] ACPI: (supports S0 S1 S3 S4 S5)
[    0.225641] ACPI: Using IOAPIC for interrupt routing
[    0.226270] PCI: MCFG area at e0000000 reserved in ACPI motherboard resources
[    0.234986] ACPI: EC: non-query interrupt received, switching to interrupt mode
[    0.237007] ACPI: EC: GPE storm detected, transactions will use polling mode
[    0.261138] ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
[    0.261212] ACPI: EC: driver started in poll mode
[    0.262366] ACPI: No dock devices found.
[    0.263270] ACPI: PCI Root Bridge [PCI0] (0000:00)
[    0.265406] pci 0000:00:1f.0: quirk: region 0400-047f claimed by ICH6 ACPI/GPIO/TCO
[    0.267221] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.267570] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
[    0.267701] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P5._PRT]
[    0.286152] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
[    0.287089] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 12 14 15)
[    0.287832] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 *7 10 11 12 14 15)
[    0.288573] ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 7 10 11 12 14 15)
[    0.289310] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
[    0.290148] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
[    0.291082] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
[    0.291949] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 *5 6 7 10 11 12 14 15)
[    0.295031] PCI: Using ACPI for IRQ routing
[    0.321265] pnp: PnP ACPI init
[    0.321389] ACPI: bus type pnp registered
[    0.338950] pnp: PnP ACPI: found 11 devices
[    0.339062] ACPI: ACPI bus type pnp unregistered
[    0.466401] ACPI: AC Adapter [ADP1] (on-line)
[    0.467053] ACPI: Power Button [PWRF]
[    0.481269] ACPI: Lid Switch [LID0]
[    0.481758] ACPI: Power Button [PWRB]
[    0.483363] ACPI: Sleep Button [SLPB]
[    0.531126] ACPI: Video Device [IGD] (multi-head: yes  rom: no  post: no)
[    0.532130] ACPI: SSDT 3f5e8c90 00253 (v02  PmRef  Cpu0Ist 00003000 INTL 20051117)
[    0.533190] ACPI: SSDT 3f5e7690 00653 (v02  PmRef  Cpu0Cst 00003001 INTL 20051117)
[    0.538542] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[    0.539032] ACPI: Processor [CPU0] (supports 8 throttling states)
[    0.539992] ACPI: SSDT 3f5e8f10 000D0 (v02  PmRef  Cpu1Ist 00003000 INTL 20051117)
[    0.540775] ACPI: SSDT 3f611b10 00083 (v02  PmRef  Cpu1Cst 00003000 INTL 20051117)
[    0.542763] ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
[    0.543276] ACPI: Processor [CPU1] (supports 8 throttling states)
[    0.588294] ACPI: Thermal Zone [THRM] (27 C)
[    1.149145] ACPI: Battery Slot [BAT1] (battery present)
kunalagon@localhost ~ $
Comment 6 Kunalagon Umuhanik 2010-01-08 16:04:53 UTC
Created attachment 215673 [details]
gnome-power-manager --verbose , output

This is output of command: gnome-power-manager --verbose. I started it, and in one moment I pressed key combination for raise a LCD brightness level on my netbook.
Comment 7 CapSel 2010-02-01 10:16:54 UTC
(In reply to comment #6)
> Created an attachment (id=215673) [details]
> gnome-power-manager --verbose , output
> 
> This is output of command: gnome-power-manager --verbose. I started it, and in
> one moment I pressed key combination for raise a LCD brightness level on my
> netbook. 
> 

I'm experiencing the same problem here.
Perhaps this link will be help full: https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/415023

A temporary solution could be to install xfce4-power-manager and run it instead of gnome's one.
Comment 8 Kunalagon Umuhanik 2010-02-19 10:55:09 UTC
I did that CapSel.
With xfce4-power-manager, everything works, thanks.
Comment 9 Pacho Ramos gentoo-dev 2010-04-27 13:00:22 UTC
Have you tried to update your BIOS if possible?
Comment 10 Pacho Ramos gentoo-dev 2010-04-27 13:05:18 UTC
(In reply to comment #9)
> Have you tried to update your BIOS if possible?
> 

No! Wait!

Maybe the fix is in udev:
http://git.kernel.org/?p=linux/hotplug/udev.git;a=patch;h=d7e2d38c1f0ead2239808dd117577a99a3ad3cde

It should be fixed then applying that patch and building udev with "extras" USE flag
Comment 11 Pacho Ramos gentoo-dev 2010-06-13 19:15:42 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Have you tried to update your BIOS if possible?
> > 
> 
> No! Wait!
> 
> Maybe the fix is in udev:
> http://git.kernel.org/?p=linux/hotplug/udev.git;a=patch;h=d7e2d38c1f0ead2239808dd117577a99a3ad3cde
> 
> It should be fixed then applying that patch and building udev with "extras" USE
> flag
> 

Did it work?
Comment 12 Gilles Dartiguelongue gentoo-dev 2010-12-30 13:09:10 UTC
Due to lack of updated information in the last 2 weeks, there is no way we can further help you solve this problem. Thanks for reporting anyway.